Codevisor Docs
Api reference

PUT Mcps Id Machine State

PUT/v1/mcps/{id}/machine-state

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

enabled*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/mcps/string/machine-state" \  -H "Content-Type: application/json" \  -d '{    "enabled": true  }'
{  "machineId": "string",  "server": {    "id": "string",    "name": "string",    "kind": "managed",    "canEdit": true,    "canRemove": true,    "transport": "http",    "url": "string",    "command": "string",    "args": [      "string"    ],    "headerNames": [      "string"    ],    "environmentNames": [      "string"    ],    "enabled": true,    "authType": "none",    "oauthScope": "string",    "connectionState": "disconnected",    "toolCount": 0,    "detail": "string",    "createdAt": "string",    "updatedAt": "string"  },  "disabledHere": true,  "enabled": true}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}